Bug 238784 - newt-devel depends on %{version} but not on %{version}-%{release}
Summary: newt-devel depends on %{version} but not on %{version}-%{release}
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: newt   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-02 22:18 UTC by Robert Scheck
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.52.7-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-17 16:14:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2007-05-02 22:18:11 UTC
Description of problem:
newt-devel depends on %{name} but not on %{name}-%{release}, please fix this 
with the next build of the package. There can be minor changes which could be 
incompatible after release bumping, so it's save to add %{release}, too.

Version-Release number of selected component (if applicable):
newt-0.52.6-3

Expected results:
Please apply the following patch or better:

--- snipp ---
--- newt.spec       2007-05-03 00:16:05.000000000 +0200
+++ newt.spec.rsc   2007-05-03 00:16:43.000000000 +0200
@@ -19,14 +19,14 @@

 %package devel
 Summary: Newt windowing toolkit development files
-Requires: slang-devel %{name} = %{version}
+Requires: slang-devel %{name} = %{version}-%{release}
 Group: Development/Libraries

 # The loader portion of the installer needs to link statically against libnewt,
 # so the static library must be shipped.
 %package static
 Summary: Newt windowing toolkit static library
-Requires: newt-devel = %{version}
+Requires: newt-devel = %{version}-%{release}
 Group: Development/Libraries

 %Description
--- snapp ---

Comment 1 Robert Scheck 2007-05-02 22:23:58 UTC
I wrote bullshit, apply s/%{name}/%{version}/g to give my report sense.

Comment 2 Miroslav Lichvar 2007-05-03 09:54:02 UTC
Ok, fixed in upstream cvs, will be in next release. Thanks.

Comment 3 Miroslav Lichvar 2007-06-15 13:22:52 UTC
Fixed in newt-0.52.7-1.fc8.

Comment 4 Fedora Update System 2007-08-09 16:48:52 UTC
newt-0.52.7-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2007-08-17 16:14:04 UTC
newt-0.52.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.